using Turing;

namespace TestyJednostkoweMaszynyTuringa
{
    [TestClass]
    public sealed class TestCzwórka
    {
        [TestMethod]
        public void TestKonstruktora1()
        {            
            Czwórka c1 = new Czwórka('a', 'C', 'E', 'b');
            Assert.AreEqual('a', c1.PoczątkowyStanGłowicy);
            Assert.AreEqual('C', c1.PoczątkowyStanTaśmy);
            Assert.AreEqual('E', c1.KońcowyStanTaśmyLubKomenda);
            Assert.AreEqual('b', c1.KońcowyStanGłowicy);
        }

        [TestMethod]
        public void TestKonstruktora2()
        {
            Czwórka c2 = new Czwórka("aCEb");
            Assert.AreEqual('a', c2.PoczątkowyStanGłowicy);
            Assert.AreEqual('C', c2.PoczątkowyStanTaśmy);
            Assert.AreEqual('E', c2.KońcowyStanTaśmyLubKomenda);
            Assert.AreEqual('b', c2.KońcowyStanGłowicy);
        }

        [TestMethod]
        [ExpectedException(typeof(Exception))]
        public void TestKonstruktora3()
        {            
            Czwórka c3 = new Czwórka("ACEb");            
        }
    }
}
